## org.biojava.bio.structure.io.mmcif.model
Class AbstractBean

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.model.AbstractBean

Direct Known Subclasses:
  AtomSite, DatabasePDBremark, EntityPolySeq, Exptl, PdbxPolySeqScheme, StructAsym, StructRef, StructRefSeq

    public abstract class AbstractBean

extends Object

a generic class that implements the toString method for a bean

Author:
  Andreas Prlic

Constructor Summary
`AbstractBean()`

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractBean

    public AbstractBean()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`